Package org.eclipse.emf.cdo.server.spi.security

# Class SecurityManagerFactory.Annotation

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory
org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory.Annotation

All Implemented Interfaces:
  `org.eclipse.net4j.util.factory.IFactory`, `org.eclipse.net4j.util.factory.IFactoryKeyAware`

Enclosing class:
  `SecurityManagerFactory`

@Deprecated public static class SecurityManagerFactory.Annotation extends SecurityManagerFactory
Deprecated.
As of 4.3 use `SecurityManagerFactory.Default` with a description like "realmPath:annotation".
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`SecurityManagerFactory.Annotation, SecurityManagerFactory.Default`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`DESCRIPTION_SEPARATOR, PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Annotation()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`ISecurityManager`
`create(String realmPath)`
Deprecated.

### Methods inherited from class org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

`create, get, get, getQualifiedDescription`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Annotation

@Deprecated public Annotation()
Deprecated.

## Method Details

### create

@Deprecated public ISecurityManager create(String realmPath) throws org.eclipse.net4j.util.factory.ProductCreationException
Deprecated.

Specified by:
  `create` in interface `org.eclipse.net4j.util.factory.IFactory`
Overrides:
  `create` in class `SecurityManagerFactory`
Throws:
  `org.eclipse.net4j.util.factory.ProductCreationException`